Attribute VB_Name = "Module2"


                    
Global Const WPFLAG_RETURN_MSG_ID = &H1
Global Const WPFLAG_SHOW_MISSING_SSZLIB_MSG = &H2 ' show a message if sszlib not found

Global Const WPPROP_AUTHOR            =0       ' author of the document
Global Const WPPROP_TITLE             =1       ' title of the document
Global Const WPPROP_PRODUCER          =2       ' producer of the document
Global Const WPPROP_SUBJECT           =3       ' subject of the document
Global Const WPPROP_KEYWORDS          =4       ' keywords of the document
Global Const WPPROP_CRE_DATE          =5       ' date of the document
Global Const WPPROP_MOD_DATE          =6       ' ModDate of the document
Global Const WPPROP_COMPRESS_TEXT     =7       ' True to compress text
Global Const WPPROP_EMBED_FONTS       =8       ' True to always embed fonts
Global Const WPPROP_BOOKMARK          =9       ' Create bookmarks
Global Const WPPROP_HYPERLINK        =10       ' Create hyperlinks
Global Const WPPROP_MAC_COMPATIBLE   =11       ' True to create mac compatible pdf file
Global Const WPPROP_PERM_FLAGS       =12       ' permission flags PERM_ constants
Global Const WPPROP_USER_PASSWORD    =13       ' user password
Global Const WPPROP_OWNER_PASSWORD   =14       ' ownwer password
Global Const WPPROP_EXACT_TEXT_PLACEMENT =15   ' place characters at exact positions
Global Const WPPROP_BATCH            =16       ' faster processing for smaller files when multiple conversions done in the same session
Global Const WPPROP_NO_CACHING       =17       ' disable caaching when writing to disk
Global Const PPROP_DO_XPARENT        =18       ' support transparency  
Global Const WPPROP_NO_PAGE_BM       =19       ' do not use page bitmap. A page bitmap is needed to support WPPROP_DO_XPARENT flag
Global Const WPPROP_ZOOM_FACTOR      =20       ' zoom factor - default 1000
Global Const WPPROP_ENABLE_GDIPLUS   =21       ' enable gdiplus - ssgp.dll file must be available for this flag to be effective
Global Const WPPROP_RC4_128          =22       ' use RC4 128 bit security when password is specified
Global Const WPPROP_AES_128          =23       ' use AES 128 bit security when password is specified
Global Const WPPROP_EXPAND_WIDTH     =24       ' expand pdf width to fit the widest table
Global Const WPPROP_HIDE_TRACKING    =25       ' TRUE to hide the tracking codes       
Global Const WPPROP_OMIT_LAST_EMPTY_PAGE =26   ' do not print the last empty page
Global Const WPPROP_PDFA_1B          =27       ' minimum compliance pdf/a-1b
Global Const WPPROP_PDFA             =28       ' minimum compliance pdf/a
Global Const WPPROP_NO_TOC_UPDATE    =29       ' don't update the table of contents
Global const WPPROP_PICT_QUALITY     =30       ' picture quality, 1=lowest, 5=highest, 3=default
Global const WPPROP_USE_ORIG_JPG     =31       ' use original jpeg data to create pdf
Global const WPPROP_TAGGED_PDF       =32       ' product tagged pdf

Global Const PERM_PRINT            = &H4       ' these values are specified by the pdf spec - permission flags
Global Const PERM_MOD              = &H28
Global Const PERM_COPY             = &H10

Global Const WPREP_TOP             = &H1       ' print report information on the top of the page
Global Const WPREP_BOT             = &H2       ' print report informatio non the bottom of the page
Global Const WPREP_CENTER          = &H4       ' center align the info
Global Const WPREP_RIGHT           = &H8       ' right align the info
Global Const WPREP_NO_PAGE         = &H10      ' don't print the page number

'******************************************************************************
'   Message ids
'*******************************************************************************
Global Const MSG_FILE_NOT_FOUND = 1
Global Const MSG_NO_EDITOR_INSTANCE = 2
Global Const MSG_READ_ERROR = 3
Global Const MSG_WRITE_ERROR = 4
Global Const MSG_MEMORY_LOCK = 5
Global Const MSG_LICENSE_EXCEEDED   =15
Global Const MSG_BAD_LICENSE_NUMBER =16
Global Const MSG_BAD_LICENSE_KEY    =17
Global Const MSG_INVALID_SERVER_LICENSE =18

Global Const MSG_OTHER = 99

Rem ************************************************************************
Rem Function declarations
Rem ************************************************************************

Declare Function WpsNewSession Lib "WPS32.DLL" () As Long
Declare Function WpsEndSession Lib "WPS32.DLL" (ByVal id As Long) As Long
Declare Function WpsSetFlags Lib "WPS32.DLL" (ByVal id As Long, ByVal SetReset As Long, ByVal flags As Long) As Long
Declare Function WpsGetLastMessage Lib "WPS32.DLL" (ByVal id As Long, ByVal message As String, ByVal DebugMsg As String) As Long
Declare Function WpsResetLastMessage Lib "WPS32.DLL" (ByVal id As Long) As Long
Declare Function WpsConvertFile Lib "WPS32.DLL" (ByVal id As Long, ByVal InFile As String, ByVal OutFile As String) As Long
Declare Function WpsConvertBuffer Lib "WPS32.DLL" (ByVal id As Long, ByVal InData As String, ByVal InSize As Long, OutSize As Long) As Long
Declare Function WpsHandleToStr Lib "WPS32.DLL" (ByVal buf As String, ByVal BufLen As Long, ByVal hMem As Long) As Long
Declare Function WpsSetLicenseInfo Lib "WPS32.DLL" (ByVal LicKey As String, ByVal LicNbr as String, ByVal CompanyName as String) As Long
Declare Function WpsSetLicenseInfo2 Lib "WPS32.DLL" (ByVal LicKey As String, ByVal LicNbr as String, ByVal CompanyName as String, ByVal MsgString as String) As Long
Declare Function WpsSetTextProp Lib "WPS32.DLL" (ByVal id As Long, ByVal prop as Long, ByVal PropVal as String) As Long
Declare Function WpsSetBoolProp Lib "WPS32.DLL" (ByVal id As Long, ByVal prop as Long, ByVal PropVal as Long) As Long
Declare Function WpsSetNumProp Lib "WPS32.DLL" (ByVal id As Long, ByVal prop as Long, ByVal PropVal as Long) As Long
Declare Function WpsSetRepInfo Lib "WPS32.DLL" (ByVal id As Long, ByVal PageTextBef as string, ByVal PageTextBet as string, ByVal PageTextAft as string, ByVal DistFromEdge as Long, ByVal RepFlags as Long) As Long
Declare Function WpsHandleToByteArray Lib "WPS32.DLL" (buf As Any, ByVal BufLen As Long, ByVal hMem As Long) As Long
Declare Function WpsSetInServer Lib "WPS32.DLL" (ByVal InServer As Long) As Long
Declare Function WpsGetLicenseStatus Lib "WPS32.DLL" () As Long

