unit dmo2_dlp1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    OK: TButton;
    Cancel: TButton;
    status: TLabel;
    msg: TLabel;
    InFileName: TMemo;
    OutText: TMemo;
    procedure OKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

  {$I wps.pas}

implementation

{$R *.dfm}
{$I wps_prot.pas}

procedure TForm1.OKClick(Sender: TObject);
var
   InFile: File;
   InString: AnsiString;
   OutString: AnsiString;
   CurStr: string;
   DocxFile: string;
   OutSize:LongInt;
   id: LongInt;
   hOutText: THandle;
   len: LongInt;
   NumRead, NumWritten: Integer;
   buffer: array[1..2048] of Byte;
   BufPtr: PChar;
begin


   msg.Caption := 'Converting....';   // show the progress status


   // Do file conversion
   id := WpsNewSession();   // start a new conversion session

   // WpsSetFlags(id,true,HRFLAG_SEGMENT_ONLY);   // an example of using the WpsSetFlags function

   // read the input file into a string
   DocxFile:=InFileName.Text;

   AssignFile(InFile, DocxFile);
   Reset(InFile, 1) ;

   InString:='';
   repeat
     BlockRead(InFile, buffer, SizeOf(buffer), NumRead) ;
     if (NumRead > 0) then
     begin
       BufPtr := Addr(buffer);
       SetString(CurStr,BufPtr,NumRead);
       InString := InString + CurStr;
     end
   until (NumRead = 0);
   CloseFile(InFile);
   len:=length(InString);

   // do the conversion
   hOutText:=WpsConvertBuffer(id, PAnsiChar(InString), len, OutSize);
   WpsEndSession(id); // end conversion session

   If (hOutText<>0) Then
     begin
       SetLength(OutString,OutSize+1);
       WpsHandleToStr(PAnsiChar(OutString),OutSize,hOutText);
       OutText.Text:=OutString;
     end
   else exit;

   if (hOutText<>0) then msg.Caption := 'Done!' Else msg.Caption := 'Error';

end;

end.
