unit dmo_dlp1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    Label1: TLabel;
    Label2: TLabel;
    InputFile: TEdit;
    OutputFile: TEdit;
    OK: TButton;
    Cancel: TButton;
    status: TLabel;
    msg: TLabel;
    procedure OKClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

  {$I wps.pas}

implementation

{$R *.dfm}
{$I wps_prot.pas}

procedure TForm1.OKClick(Sender: TObject);
var
   Result: LongBool;
   id: LongInt;
   FileIn, FileOut: AnsiString;
   PFileIn, PFileOut: PAnsiChar;
begin

   // Check if file exists
   If Not FileExists(InputFile.Text) Then // check if file exists
   begin
      InputFile.SetFocus;
      exit;
   end;
   If OutputFile.Text = '' Then
   begin
      OutputFile.SetFocus;
      exit;
   end;

   msg.Caption := 'Converting....';   // show the progress status
   result := False;



   // Do file conversion
   id := WpsNewSession();   // start a new conversion session

   //HrsSetFlags(id,true,HRFLAG_EMBED_PICTURE);

   FileIn := AnsiString(InputFile.Text);
   FileOut := AnsiString(OutputFile.Text);


   PFileIn := addr(FileIn[1]);
   PFileOut := addr(FileOut[1]);
   If (WpsConvertFile(id, PFileIn, PFileOut)<>0) Then result := True;

   WpsEndSession (id); // end conversion session
   If (result) Then msg.Caption := 'Done!' Else msg.Caption := 'Error';

end;

end.
